Op 6 december verschijnt de nieuwe versie van WordPress, WordPress 5.0. WordPress 5.0 maakt gebruik van de Gutenberg editor, wat een enorme verandering is. Waar gaat deze verandering precies over? En moet je je website nou wel updaten? Je leest er hier over.

Inhoud

  1. Wat is Gutenberg precies?
  2. Wat gaat er veranderen?
  3. Moet je direct je website updaten?
  4. Heb je nog vragen?

1. Wat is Gutenberg precies?

Gutenberg is de nieuwe editor van WordPress. Tot nu toe kon je deze editor al als plugin installeren en gebruiken. Vanaf WordPress 5.0 is Gutenberg de standaard editor van WordPress. Deze editor verandert het schrijven en opbouwen je WordPress website compleet (daarover later meer).

Maar: het gaat niet alleen maar om de editor. De editor is de eerste stap in een project dat in totaal drie stappen heeft. Eerst verandert de editor, daarna wordt er gefocust op page templates en in de laatste stap wordt WordPress een customizer voor de volledige website. Op dit moment zijn we dus bij stap 1: het veranderen van de editor.

 

Waarom wil WordPress veranderen?

De afgelopen tijd heeft WordPress veel concurrentie gekregen, voornamelijk van builders die het maken van websites een stuk gemakkelijker maken. Denk hierbij bijvoorbeeld aan Squarespace en Wix, waarbij je een eigen website kunt maken door simpelweg te slepen.

Ook op WordPress zelf zijn er theme en plugins die zorgen voor page builders zoals visual composer of de Divi builder van het theme Divi. Simpel gezegd is WordPress een beetje achter gebleven: terwijl je op andere platformen sites kunt bouwen door blokken te slepen, heeft WordPress dit niet en heb je nog een behoorlijke leercurve voordat je WordPress volledig begrijpt. WordPress vindt dat het tijd is voor the next big thing – en dat is de Gutenberg editor.

 

De naam Gutenberg

Gutenberg is vernoemd naar Johannes Gutenberg, de uitvinder van de boekdrukkunst in Europa. WordPress heeft deze nieuwe editor vernoemd naar Gutenberg, omdat Gutenberg met de boekdrukkunst teksten voor iedereen toegankelijk maakte. Dat is precies wat WordPress met deze update wil: ervoor zorgen dat het toegankelijker wordt voor iedereen en je ook zonder al te veel kennis aan de slag kunt met WordPress.

 

2. Wat gaat er veranderen?

De grootste verandering is dat alles in de Gutenberg editor een block is. In de oude editor had je één groot bestand waar je tekst in schreef. Voor elke toevoeging moesten er widgets, shortcodes, custom post types, of embeds gebruikt worden. Dat verandert nu. In plaats van dat je een pagina of bericht schrijft als één stuk lange tekst, bouw je het nu op in blokken. Er bestaan verschillende blocks, zoals tekst, koppen, afbeeldingen, lijsten, citaten en ga zo maar door. Elk apart block kun je verschillende eigenschappen meegeven.

 

 

Custom blocks

Naast de standaard blocks kunnen developers en designers makkelijk templates maken door custom blocks te gebruiken. Stel je hebt een ontwerp voor een blog en je hebt een mooi opgemaakte eerste alinea. Aan de hand van een custom block kun je die eerste alinea in elke blog invoegen en invullen met tekst.

 

Geen andere page builders meer?

WordPress geeft aan dat andere theme developers geen andere plugins meer hoeven te gebruiken om hun eigen page builder te maken. WordPress heeft vanaf versie 5.0 namelijk zelf die page builder. Het is op dit moment alleen nog onwaarschijnlijk dat alle theme developers stoppen met hun eigen page builders en de ingebouwde Gutenberg van WordPress gaan gebruiken. De page builders van premium themes hebben tot nu toe veel meer functionaliteiten en WordPress heeft die inhaalslag nog lang niet gemaakt.

 

Shortcodes

WordPress gaat stoppen met het gebruiken van shortcodes. Shortcodes werden gebruikt om een functie aan te roepen op een pagina. In plaats van dat je de volledige functie op die pagina moest zetten, kon je een shortcode gebruiken.

Als jij bijvoorbeeld gebruik maakte van een plugin om contactformulieren te maken, had je een shortcode nodig om dat contactformulier weer te geven op je website. In de editor van je pagina plaatste je dan bijvoorbeeld [contact-form-7 id="1234" title="Contact form 1"] en dan verscheen het contactformulier op je website. Hartstikke onduidelijk, vindt WordPress nu. Ze willen WordPress voor iedereen toegankelijk maken en shortcodes helpen daar niet bij.

Shortcodes werken nog wel, maar zullen minder gebruikt worden. Ze zullen namelijk zo veel mogelijk vervangen worden voor blocks. Mocht je nou echt een shortcode nodig hebben: daarvoor is dan een shortcode block.

 

3. Moet je direct je website updaten?

Zoals je hebt kunnen lezen, verandert er in WordPress 5.0 veel. De editor zoals we die gewend waren verdwijnt en er komt een volledig nieuwe editor voor in de plaats. Dat brengt dan ook direct heel wat problemen met zich mee. Waarschijnlijk is jouw WordPress website gebouwd met een theme en verschillende plugins. Jouw theme en al die verschillende plugins moeten allemaal compatibel zijn met WordPress 5.0. Op dit moment zijn nog niet alle themes en plugins klaar voor versie 5.0.

Als jij jouw website updatet en jij gebruikt plugins die nog niet klaar zijn voor de update, dan kun je je website breken. Het is dus belangrijk om te checken dat alle plugins die jij gebruikt daadwerkelijk klaar zijn voor WordPress 5.0.

Maar ook als jouw website wel overgezet kan worden naar WordPress 5.0, is het verstandiger om nog even te wachten. De kans is groot dat versie 5.0 nog niet volledig stabiel is en dat er bij het uitrollen ervan problemen zichtbaar gaan worden. In de eerstvolgende versie zijn die problemen opgelost en is de versie al een stuk stabieler. Wacht bijvoorbeeld tot volgend jaar januari.

Als laatste is het ook verstandig om rekening te houden met de drukte op jouw website. Heb je een WooCommerce webshop en verwacht je een drukke tijd zo met de kerst? Dan is het niet zo verstandig om nu te gaan updaten, met het risico dat onderdelen van je website kapot gaan en jij omzet misloopt.

 

Als je gaat updaten…

Ga je updaten? Houd dan hier in ieder geval rekening mee:

  • Maak back-ups! Als er iets misgaat, kun je tenminste nog makkelijk terug.
  • Probeer het updaten eerst op een andere locatie. Maak een kopie van je website en voer eerst bij deze kopie de update uit. Zo kun je precies zien of er problemen veroorzaakt worden door de update en zit je niet een kapotte website.
  • De classic editor, de editor die je gewend was, kun je downloaden als plugin. Deze editor is nog beschikbaar als plugin tot 31 december 2021.

 

4. Heb je nog vragen?

Heb je nog vragen over WordPress 5.0 met Gutenberg? Of heb je per ongeluk tóch direct op ‘updaten’ geklikt en is je website nu kapot? Je kunt hieronder je vraag achterlaten. Heb je een hele specifieke vraag of hulp nodig met jouw website, mail dan naar info@maartjedaems.nl.




Iets aan gehad?

Become a Patron!